Subject: [os2genau_digest] No. 1068
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 7 Mar 2005 00:01:08 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 06 March 2005
 Number  1068
**************************************************

Subjects for today
 
1  Re:  DVD writing : Mike O'Connor <mikeoc at dodo dot com dot au>
2   Media usage - RSJ (was Re:  DVD writing) : Mike O'Connor <mikeoc at dodo dot com dot au>

**= Email   1 ==========================**

Date:  Sun, 06 Mar 2005 03:01:29 +1000
From:  Mike O'Connor <mikeoc at dodo dot com dot au>
Subject:  Re:  DVD writing

Alan Duval wrote:

> Mike O'Connor wrote:
>
>> Alan Duval wrote:
>>
>>> Have the problem sorted out. I'm using RSJ, and Kev said to attach 
>>> the DVD-R by RSJCd Writer and it can be formated by opening the 
>>> drive and right clicking on it to get the context message and 
>>> clicking on the erase command which formats the disk. I found that I 
>>> can write to a new DVD-R without formating it so it must be formated 
>>> already. Erased the data and was able to write to it again. Have not 
>>> tried copying CD's but don't expect any problems.
>>
>> Hi Alan,
>>
>> As any CD-R or DVD+-R are writeable, but not *re-writeable*, if you 
>> erase any data off them, all you are actually doing is removing the 
>> entries relating to them from the Table-Of-Contents and thus 
>> directory entries. When you then append more data to the CD-R/DVD+-R, 
>> the new data doesn't reuse the space previously used by the deleted 
>> data. Of course this wouldn't be obvious to anyone deleting a few 
>> relatively tiny files!
>>
>> For example, if you have a disk with a capacity of e.g. 4.7GB, with 
>> 3.5GB of data written to it, then delete 2GB of that data, you don't 
>> then have 3.2GB free, you still only have 1.2GB, as you can't 
>> physically overwrite on *write-once-only* media and exactly the same 
>> applies for RW media [until you re-format/blank RW media]!
>>
>> HTH
>
> Hi Mike,
>
> The 'Erase" command must have formated the DVD because I had copied a 
> whole drive to the disk initially then erased it and then copied 
> another drive of 3G. Disk is a little over half full.
> I am using re-recordable DVD's

Hi Alan,
That final sentence makes all the difference!
I was assuming that you actually meant *DVD-R*, not DVD-RW or DVD+RW, as 
you quoted that twice earlier!
Also if you "erased" the RW media from the drive's context menu that 
*would* give you the entire capacity again.

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[ISP blocks *.exe, *.cmd, * dot com, *.bat, *.reg attachments]
[Please use zipped versions of above]

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 06 Mar 2005 04:50:00 +1000
From:  Mike O'Connor <mikeoc at dodo dot com dot au>
Subject:   Media usage - RSJ (was Re:  DVD writing)

Ed Durrant wrote:

> Mike O'Connor wrote:
>
>> For example, if you have a disk with a capacity of e.g. 4.7GB, with 
>> 3.5GB of data written to it, then delete 2GB of that data, you don't 
>> then have 3.2GB free, you still only have 1.2GB, as you can't 
>> physically overwrite on *write-once-only* media and exactly the same 
>> applies for RW media [until you re-format/blank RW media]!
>>
>> HTH
>
> Hi Mike, I think your last point is incorrect - on a DVD-RW or CD-RW, 
> deleting a file DOES make that space available again for re-use. Just 
> think of the -RW devices like enormous floppy disks.
>
> Cheers/2 

Hi Ed,

Although I knew that there were facilities for partially/selectively 
reformatting DVD-RW [but not DVD+RW AFAIR] media with DVDDAO or one of 
the other *non-RSJ* applications, as Alan had specified that he was 
using RSJ, I was only referring to RSJ capabilities.

Additional confirmation for Alan re: "blanking"
 From the RSJ 5.05 Manual :

    Information about the usage of DVD-RW and DVD+RW:
    Before using a rewritable DVD you have to format it. Please do this
    selecting "blank CD" in the context menu. This can take about half
    an hour.

Test to prove that *RSJ* doesn't release file-space previously occupied 
by now-erased files!

------------------  start of test output  -------------------

    OS/2      Ctrl+Esc = Window List       Type HELP = help

    [256RAM C:\DESKTOP]cdattach z:

    [256RAM C:\DESKTOP]chkdsk z: /v
    The current hard disk drive is: Z:
    The type of file system for the disk is CDWFS.
    The CDWFS file system program has been started.

    RSJ CD Writer File System Version 3.55 - (c) 1998 RSJ Software GmbH
    Germering

       672,150 kilobytes total disk space
           768 kilobytes are in 192 directories
       139,550 kilobytes are in 2,272 user files
             0 kilobytes are in extended attributes
             0 kilobytes are reserved for system usage
       502,386 kilobytes available for use

    CD-Writer specific information:
             1 finalized sessions; open session: 2
             4 tracks; reserved track: 4
            => CD is formatted, writing enabled (CD is clean)

    Primary Volume Descriptor:
      Volume Set ID ""
          Publisher ""
           Preparer ""
        Application ""
          Copyright ""
           Abstract ""
      Bibliographic ""

    [256RAM C:\DESKTOP]dir z:\*

    The volume label in drive Z is UNKNOWN.
    The Volume Serial Number is 0000:0001.
    Directory of Z:\

    19/02/05  7:59          <DIR>      0 ----  .
    19/02/05  7:59          <DIR>      0 ----  ..
    18/01/04 11:40          <DIR>      0 ----  os2
            3 file(s)           0 bytes used
                        514,443,264 bytes free

    [256RAM C:\DESKTOP]dir z:\os2\* /a:d

    The volume label in drive Z is UNKNOWN.
    The Volume Serial Number is 0000:0001.
    Directory of Z:\os2

    19/02/05  8:03          <DIR>      0 ----  .
    19/02/05  7:59          <DIR>      0 ----  ..
     5/02/02  2:47          <DIR>      0 ----  APPS
     5/02/02  3:07          <DIR>      0 ----  ARCHIVES
     5/02/02  2:47          <DIR>      0 ----  BITMAP
     5/02/02  2:47          <DIR>      0 ----  BOOK
     5/02/02  2:47          <DIR>      0 ----  BOOT
    18/01/04 11:40          <DIR>      0 ----  DLL
     5/02/02  2:47          <DIR>      0 ----  DRIVERS
     5/02/02  2:47          <DIR>      0 ----  ETC
     5/02/02  2:47          <DIR>      0 ----  HELP
     5/02/02  2:47          <DIR>      0 ----  INSTALL
     5/02/02  3:02          <DIR>      0 ----  JAVAAPPS
     5/02/02  2:47          <DIR>      0 ----  MDOS
     5/02/02  3:02          <DIR>      0 ----  PDPSI
     5/02/02  2:47          <DIR>      0 ----  POINTERS
     5/02/02  3:02          <DIR>      0 ----  security
     5/02/02  2:47          <DIR>      0 ----  SYSTEM
     5/02/02  3:09          <DIR>      0 ----  Tivoli
           19 file(s)           0 bytes used
                        514,443,264 bytes free

    [256RAM C:\DESKTOP]del z:\os2\dll\*.*
    Z:\OS2\DLL\*.*, Are you sure (Y/N)? y

    [256RAM C:\DESKTOP]cdattach z: -s

    [256RAM C:\DESKTOP]cdattach z:

    [256RAM C:\DESKTOP]chkdsk z: /v
    The current hard disk drive is: Z:
    The type of file system for the disk is CDWFS.
    The CDWFS file system program has been started.

    RSJ CD Writer File System Version 3.55 - (c) 1998 RSJ Software GmbH
    Germering

       672,150 kilobytes total disk space
           708 kilobytes are in 192 directories
       109,672 kilobytes are in 1,958 user files
             0 kilobytes are in extended attributes
             0 kilobytes are reserved for system usage
       486,728 kilobytes available for use

    CD-Writer specific information:
             2 finalized sessions; open session: 3
             6 tracks; reserved track: 6
            => CD is formatted, writing enabled (CD is clean)

    Primary Volume Descriptor:
      Volume Set ID ""Enter-something-here:""
          Publisher ""Personal - 26 SEP 2004""
           Preparer ""Mike O'Connor""
        Application ""RSJ Software CDWriter V3.55""
          Copyright """"
           Abstract """"
      Bibliographic """"

    [256RAM C:\DESKTOP]dir z:\* /a:d

    The volume label in drive Z is UNKNOWN.
    The Volume Serial Number is 0000:0002.
    Directory of Z:\

    19/02/05  7:59          <DIR>      0 ----  .
    19/02/05  7:59          <DIR>      0 ----  ..
    18/01/04 11:40          <DIR>      0 ----  os2
            3 file(s)           0 bytes used
                        498,409,472 bytes free

    [256RAM C:\DESKTOP]dir z:\os2\dll

    The volume label in drive Z is UNKNOWN.
    The Volume Serial Number is 0000:0002.
    Directory of Z:\os2\dll

    19/02/05  8:03          <DIR>      0 ----  .
    19/02/05  8:03          <DIR>      0 ----  ..
     5/02/02  2:48          <DIR>      0 ----  IBMNULL
     5/02/02  3:01          <DIR>      0 ----  PSCRIPT
     5/02/02  2:48          <DIR>      0 ----  VGA
            5 file(s)           0 bytes used
                        498,409,472 bytes free

    [256RAM C:\DESKTOP]

-------------------- end of test output -----------------
Note: the contents of z:\os2\dll\*.* were erased from the *CD-RW*, this 
amounted to almost 30,000KB in 314 files, but instead of the available 
space increasing from:

    502,386 kilobytes available for use
    to approx
    532,xxx kilobytes
    it actually decreased to:
    486,728 kilobytes available for use, as a further 16MB was used for
    the new TOC, as I closed that session!

I had a quick search through the manual, but couldn't locate the area 
where it stated that re-writeable media wasn't suitable to use for 
running applications from as any modified files would be co-resident 
with all superseded previous editions of themselves, i.e. the disk would 
fill up reasonably rapidly if used for that purpose.

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[ISP blocks *.exe, *.cmd, * dot com, *.bat, *.reg attachments]
[Please use zipped versions of above]

----------------------------------------------------------------------------------